/*
 * @Author: WuXiangNan
 * @Date: 2021-03-05 10:10:13
 * @LastEditTime: 2021-03-05 10:26:15
 * @LastEditors: WuXiangNan
 * @Description: 事件
 */

import 'package:flutter/material.dart';
import 'package:wisdom_cli/wisdom_cli.dart';

class EventListItem extends StatefulWidget {
  EventListItem({Key? key}) : super(key: key);

  @override
  _EventListItemState createState() => _EventListItemState();
}

class _EventListItemState extends State<EventListItem> {
  @override
  Widget build(BuildContext context) {
    return WisCard(
      color: Colors.white,
      margin: EdgeInsets.fromLTRB(0, 0, 0, 10.pt),
      elevation: 0,
      shape: BeveledRectangleBorder(),
      padding: EdgeInsets.all(15.pt),
      child: Wisdom.column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          WisText(
            '黄定签到，迟到13分钟',
            bold: true,
            size: 15.pt,
          ),
          Wisdom(
            margin: EdgeInsets.symmetric(vertical: 5.pt),
            child: WisText(
              '位置：海口市美兰区和平大道35号福海花园',
              color: Colors.grey,
              size: 15.pt,
            ),
          ),
          WisText(
            '08:13',
            color: Colors.grey,
            size: 15.pt,
          )
        ],
      ),
    );
  }
}
